/*
 * Class ARRAY [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_717 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_717 [] = {0xFF01,237,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_717 [] = {0xFF01,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_717 [] = {0xFF01,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_717 [] = {0xFF01,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_717 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_717 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_717 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_717 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_717 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_717 [] = {716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_717 [] = {0xFF01,716,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_717 [] = {0xFF01,719,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_717 [] = {0xFF01,711,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_717 [] = {0xFF01,710,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_717 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_717 [] = {0xFF01,715,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_717 [] = {0xFF01,710,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_717 [] = {0xFF01,716,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_717 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_717 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_717[] = {
	{EIF_GENERIC(NULL), 5754, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_717), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_717), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_717), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_717), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_717), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_717), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_717), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_717), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_717), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_717), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_717), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_717), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_717), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_717), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1911, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_717), 5808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_717), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2172, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5799, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5811, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1961, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5792, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_717), 3380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_717), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_717), 5010, 0},
	{EIF_GENERIC(NULL), 5011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_717), 5761, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_717), 5762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5776, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_717), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5757, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5758, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5759, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_717), 5763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5765, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5766, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5780, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5782, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5783, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5784, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5785, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5797, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_717), 5805, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_717), 5806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_717), 5807, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_717), 5810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5813, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_717), 5761, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_717), 5762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5776, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_717), 5761, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_717), 5770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init717(void)
{
	IDSC(desc_717, 0, 716);
	IDSC(desc_717 + 1, 1, 716);
	IDSC(desc_717 + 32, 77, 716);
	IDSC(desc_717 + 41, 129, 716);
	IDSC(desc_717 + 47, 282, 716);
	IDSC(desc_717 + 56, 99, 716);
	IDSC(desc_717 + 58, 81, 716);
	IDSC(desc_717 + 67, 4, 716);
	IDSC(desc_717 + 105, 187, 716);
	IDSC(desc_717 + 111, 256, 716);
	IDSC(desc_717 + 114, 50, 716);
	IDSC(desc_717 + 115, 103, 716);
	IDSC(desc_717 + 117, 229, 716);
	IDSC(desc_717 + 118, 35, 716);
	IDSC(desc_717 + 119, 172, 716);
}


#ifdef __cplusplus
}
#endif
